Merchant List

List of Merchant onboarded through the Merchant Onboarding APIs

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
paginationArrayMDetails of pagination
pagination.pageNumberStringMCurrent Page Number
pagination.recordsPerPageStringMNumber of Details per Page
outletIdNumberOUnique Outlet Id of Customers
mobileStringOMobile Number of Customers
panStringOPan Number of Customers

Request Parameters

curl --location --request POST 'https://api.instantpay.in/user/outlet/list' \
--header 'Accept: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage": "10"
    },
    "filters" : {
        "outletId" : 0,
        "mobile" : "",
        "pan" : ""
    }
}'
POST /user/outlet/list HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage": "10"
    },
    "filters" : {
        "outletId" : 0,
        "mobile" : "",
        "pan" : ""
    }
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "meta": {
            "totalPages": 1,
            "currentPage": 1,
            "totalRecords": 4,
            "recordsOnCurrentPage": 3,
            "recordFrom": 1,
            "recordTo": 3
        },
        "records": [
            {
                "outletId": 72762,
                "name": "Sample Name",
                "mobile": "7428585742",
                "email": "[email protected]",
                "pan": "ABCD1234E",
                "bankAccounts": [
                    {
                        "accountNumber": "34567890123",
                        "ifsc": "SBIN0000001",
                        "addedAt": "2023-12-22 09:43:31",
                        "isPrimary": 1
                    }
                ],
                "KYCStatus": true,
                "isActive": true,
                "Latitude": "28.49401",
                "Longitude": "77.31484",
                "bankAccount": [],
                "products": {
                    "wapStatus": null
                }
            },
    "timestamp": "2023-12-22 18:01:53",
    "ipay_uuid": "h0069ae8d711-7e7f-4014-a320-ff21cf82a840-az9ISxODTddJ",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}
📘

Note :

If wapStatus is true then Outlet is enabled from the Bank for AePS transactions end and if it is false it is still pending at the bank end.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json